Not able to install audacity on linuxmint 17

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
pingolin
Level 1
Level 1
Posts: 42
Joined: Fri Sep 27, 2013 4:53 pm

Not able to install audacity on linuxmint 17

Post by pingolin » Tue Jan 05, 2016 6:07 pm

Hi Guys,
from subject , I'm not able to install Audacity on linuxmint 17:

I first tried via application manager , search audacity and click install, but no messages and no installation occured.

Then I tried via command :

sudo add-apt-repository ppa:audacity-team/daily
sudo apt-get update
sudo apt-get install audacity

at last command I get messages that some dependecies are not resolved , so the software can't be installed.

I seguenti pacchetti hanno dipendenze non soddisfatte:
audacity : Dipende: libavcodec55 (>= 6:10~beta1~) ma non è installabile oppure
libavcodec-extra-55 (>= 6:10.5) ma non è installabile
Dipende: libavformat55 (>= 6:10~beta1~) ma non è installabile
Dipende: libavutil53 (>= 6:10~beta1~) ma non è installabile
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.


I searched but as far as I can see no dependencies are required so maybe something else is wrong, I'm afraid
that first or second command is already wrongly executed.

Can someone help me on that ?

Thanks and BR/Pingolin

all41
Level 14
Level 14
Posts: 5457
Joined: Tue Dec 31, 2013 9:12 am
Location: Computer, Car, Cage

Re: Not able to install audacity on linuxmint 17

Post by all41 » Tue Jan 05, 2016 10:59 pm

Synaptic shows two packages are needed audacity and audacity-data.
so:

Code: Select all

sudo apt-get install audacity audacity-data
btw: these are available in the Mint repositories
Last edited by all41 on Tue Feb 02, 2016 5:25 pm, edited 1 time in total.

Hoser Rob
Level 14
Level 14
Posts: 5390
Joined: Sat Dec 15, 2012 8:57 am

Re: Not able to install audacity on linuxmint 17

Post by Hoser Rob » Wed Jan 06, 2016 9:26 am

all41 wrote:... btw: these are available in the Mint repositories
That's what I was thinking, along with wondering why you want the bleeding edge version. Is there some reason you need to install the unstable one? I don't have any ppa sources in 2 mint installs, and unless I feel I absolutely need HEVC video support I
don't expect to use ppas any time soon.

I don't read Italian very well at all but I suspect that there are conflicts between the bleeding edge libraries and ones you already have. That's just one reason I don't have any ppas.

Frankly, in Linux, if you really have to have the newest of everything you should install a rolling release distro.

But none of those are remotely suitable for newbies. Go for stability.

pingolin
Level 1
Level 1
Posts: 42
Joined: Fri Sep 27, 2013 4:53 pm

Re: Not able to install audacity on linuxmint 17

Post by pingolin » Thu Jan 07, 2016 6:52 pm

Hi guys,

honestly I'm not so expert about package installation and I'm interested to latest version;
I'm interested to the latest stable one.

Please just tell me how I can get it working on linux mint 17.
I remember I was able to install on linux mint 16 without any issue......
and now what are the correct steps to have it installed on linux mint 17?

Thanks in advance for support.

BR/Pingolin

User avatar
jimallyn
Level 18
Level 18
Posts: 8941
Joined: Thu Jun 05, 2014 7:34 pm
Location: Wenatchee, WA USA

Re: Not able to install audacity on linuxmint 17

Post by jimallyn » Thu Jan 07, 2016 7:59 pm

To get the latest Audacity, do the following:

Open Synaptic (in the Administration Menu).

Click Settings, Repositories, Additional Repositories. Add the following repositories:

deb http://ppa.launchpad.net/ubuntuhandbook ... ity/ubuntu trusty main

deb-src http://ppa.launchpad.net/ubuntuhandbook ... ity/ubuntu trusty main

Close the Repositories window.

Click Reload in Synaptic. You may get an error message. Ignore it.

Enter audacity in the search/filter window. then click on audacity, and click Apply. It will want to install some other stuff, let it.

You should have Audacity 2.1.1 installed now. Enjoy.
Image

“If the government were coming for your TVs and cars, then you'd be upset. But, as it is, they're only coming for your sons.” - Daniel Berrigan

pingolin
Level 1
Level 1
Posts: 42
Joined: Fri Sep 27, 2013 4:53 pm

Re: Not able to install audacity on linuxmint 17

Post by pingolin » Sat Jan 30, 2016 6:18 am

Hi,
I tried to add the additional repository in Synaptic;

in attach the error got;
I just ignored it, but synaptic crashed!!!!

Now it's not possible to start synaptic and fix the issue, always the same error and crash.
Moreover application manager doesn't start;
so I can't remove/install anymore any kind of application via graphic interface.....

I don't know how to fix it via command line and if possible

Please help me !!!!!!!!!!!!!!!!!!!!!!!!

/pingolin
Attachments
error2.jpeg

turtlebay
Level 5
Level 5
Posts: 629
Joined: Mon Apr 01, 2013 12:33 pm

Re: Not able to install audacity on linuxmint 17

Post by turtlebay » Sat Jan 30, 2016 7:17 am

pingolin - Do this:

1. On your normal desktop click the Menu icon at bottom left of screen.

2. Click Package Manager.

3. Enter your password.

4.Click 'Search' in the top of that screen and in the box that open next type Audacity.

5. Click Search.

6. Click the box marked audacity.

Linux will ask you to confirm that you want the extra files, which you do.

Then let it get on with it.

---
The same applies to every piece of software you want to use in Linux Mint.
Last edited by killer de bug on Sat Jan 30, 2016 6:11 pm, edited 1 time in total.
Reason: Personal attacks have nothing to do on this board.

pingolin
Level 1
Level 1
Posts: 42
Joined: Fri Sep 27, 2013 4:53 pm

Re: Not able to install audacity on linuxmint 17

Post by pingolin » Sat Jan 30, 2016 7:23 am

Hi ,

thanks for fats response ;
anyway I was able to remove synaptic via command line ;
then I tried to install again synaptic but always same error;
I just go on the root and modified the file contents of the one indicated in the error messages
by removing additional repository link added before;
then tried to install again synaptic and it was ok now.

So it seems that I can't add the additional link for audacity in synaptyc additional repository, otherwise
I'll get same error.

/pingolin

Hoser Rob
Level 14
Level 14
Posts: 5390
Joined: Sat Dec 15, 2012 8:57 am

Re: Not able to install audacity on linuxmint 17

Post by Hoser Rob » Sat Jan 30, 2016 10:49 am

pingolin wrote:Hi guys,

honestly I'm not so expert about package installation and I'm interested to latest version;
I'm interested to the latest stable one. ...
In your first post you had enabled the daily ppa. If you want the stable version you don't want to enable the daily build ever.

Is there any particular reason you want the newest version? Does it do something new you just can't live without?

This isn't just a linux issue. It happens in Windows all the time. People install the latest bleeding edge thing to get the latest bug fixes. And they also get the newest bugs. Some windows programs are in perpetual beta so you may have to keep trying out older yersions to find one that works.

I installed a couple of ppa sources so I could get HEVC playback support in smplayer and vlc. Newer codec support is the only thing I can think of that'd make me want to use ppas.

pingolin
Level 1
Level 1
Posts: 42
Joined: Fri Sep 27, 2013 4:53 pm

Re: Not able to install audacity on linuxmint 17

Post by pingolin » Sun Jan 31, 2016 5:14 am

Hi ,

sorry guys, I'm not able to get the point.

I just want to install audacity , stable version, never mind if it is the latest one.

What I can do ?

As far I know if I tyry to get ppa I'm just pointing out to the latest version;
in this case anyway it is not working , in fact this is the mesaage I can get :
sudo add-apt-repository ppa:audacity-team/daily
[sudo] password for pingo:
Traceback (most recent call last):
File "/usr/bin/add-apt-repository", line 91, in <module>
sp = SoftwareProperties(options=options)
File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 109, in __init__
self.reload_sourceslist()
File "/usr/lib/python3/dist-packages/softwareproperties/SoftwareProperties.py", line 599, in reload_sourceslist
self.distro.get_sources(self.sourceslist)
File "/usr/lib/python3/dist-packages/aptsources/distro.py", line 89, in get_sources
(self.id, self.codename))
aptsources.distro.NoDistroTemplateException: Error: could not find a distribution template for LinuxMint/qiana

So really I do not understand how I can install audacity.

Thanks anyway for help/pingolin

pingolin
Level 1
Level 1
Posts: 42
Joined: Fri Sep 27, 2013 4:53 pm

Re: Not able to install audacity on linuxmint 17

Post by pingolin » Sun Jan 31, 2016 5:20 am

Hi,

I was able to download the compressed tar file of audacity;

can I try manually to install it starting from the compressed folder ?
which are the commands?

Thanks /pingolin

BigEasy
Level 6
Level 6
Posts: 1238
Joined: Mon Nov 24, 2014 9:17 am
Location: Chrząszczyżewoszyce, powiat Łękołody

Re: Not able to install audacity on linuxmint 17

Post by BigEasy » Sun Jan 31, 2016 6:43 am

Windows assumes I'm stupid but Linux demands proof of it

pingolin
Level 1
Level 1
Posts: 42
Joined: Fri Sep 27, 2013 4:53 pm

Re: Not able to install audacity on linuxmint 17

Post by pingolin » Sun Jan 31, 2016 1:26 pm

hi,
thanks.

Got error on make , exit from dircetory .......

make[1]: uscita dalla directory

Don't know what to do... :-(

/pingolin

BigEasy
Level 6
Level 6
Posts: 1238
Joined: Mon Nov 24, 2014 9:17 am
Location: Chrząszczyżewoszyce, powiat Łękołody

Re: Not able to install audacity on linuxmint 17

Post by BigEasy » Sun Jan 31, 2016 1:36 pm

Everything as expected. So, why not to install from official repository?
Windows assumes I'm stupid but Linux demands proof of it

pingolin
Level 1
Level 1
Posts: 42
Joined: Fri Sep 27, 2013 4:53 pm

Re: Not able to install audacity on linuxmint 17

Post by pingolin » Mon Feb 01, 2016 6:26 pm

BigEasy wrote:Everything as expected. So, why not to install from official repository?
Could you please tell me how?

If you mean from synaptic , it doesn't work;
unresolved dependencies.

BR/pingolin

User avatar
LinuxJim
Level 5
Level 5
Posts: 659
Joined: Tue Jan 26, 2016 8:01 pm
Location: Oregon, USA

Re: Not able to install audacity on linuxmint 17

Post by LinuxJim » Mon Feb 01, 2016 6:36 pm

It should be as simple as 'sudo apt-get install audacity'.

No PPAs needed.

pingolin
Level 1
Level 1
Posts: 42
Joined: Fri Sep 27, 2013 4:53 pm

Re: Not able to install audacity on linuxmint 17

Post by pingolin » Tue Feb 02, 2016 5:18 pm

Hi, as reported at beginning i got following message :

I seguenti pacchetti hanno dipendenze non soddisfatte:
audacity : Dipende: libavcodec55 (>= 6:10~beta1~) ma non è installabile oppure
libavcodec-extra-55 (>= 6:10.5) ma non è installabile
Dipende: libavformat55 (>= 6:10~beta1~) ma non è installabile
Dipende: libavutil53 (>= 6:10~beta1~) ma non è installabile
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.

it's in italain, but basically there are unresolved dependecies witth libavcodec55 that is not available for
linuxmint 17 ( i have installed the libavcodec54 and there is no option to install the 55)

How to proceed?

/pingolin

pingolin
Level 1
Level 1
Posts: 42
Joined: Fri Sep 27, 2013 4:53 pm

Re: Not able to install audacity on linuxmint 17

Post by pingolin » Tue Feb 02, 2016 6:42 pm

Hi guys,

finally I was able to install Audacity !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

In order to install audacity as suggested , simply "sudo apt-get install audacity",

I had to remove some ppa installed probably from previous attempt;
in particular I removed ppa:n-muench/ ;

after data I also removed audacity-data because it seems to point to different version of Audacity.

Then I just launched sudo apt-get install audacity and it works !!!!

Thanks for support.

BR/pingolin

Post Reply

Return to “Software & Applications”